#!/bin/bash

tempfile=`mktemp 2>/dev/null` || tempfile=/tmp/kkmserv$$
trap "rm -f $tempfile" 0 1 2 5 15

dump=/linuxcash/cash/bin/dump.txt

while [ 0 ] ; do
    dialog  --clear --title "" \
	    --menu "Выберите действие" 0 0 0 \
            1 "Работа с ККМ" \
            2 "Просмотр дампа ФП" \
            3 "Выход" 2> $tempfile
    retval=$?

    case $retval in
    0)
    choice=`cat $tempfile`
    echo $choice
    if [ $choice == 1 ]
        then /linuxcash/cash/bin/kkmservice
    elif [ $choice == 2 ]
        then 
            if [ -e  $dump ] 
            then 
                mcview $dump 
            else
                dialog --title "Информация" --msgbox "Отсутствует дамп ФП" 6 30
            fi
    elif [ $choice == 3 ]
        then exit
    fi
    ;;
    1)
    echo "back";;
    255)
    echo "exit";;
    esac
done
